summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sys-infiniband/opensm
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sys-infiniband/opensm')
-rw-r--r--sys-infiniband/opensm/Manifest2
-rw-r--r--sys-infiniband/opensm/files/opensm-3.3.17-norpm.patch32
-rw-r--r--sys-infiniband/opensm/files/opensm-3.3.17-sldd.patch20
-rw-r--r--sys-infiniband/opensm/files/opensm.conf.d3
-rw-r--r--sys-infiniband/opensm/files/opensm.init.d24
-rw-r--r--sys-infiniband/opensm/files/sldd.conf.d21
-rw-r--r--sys-infiniband/opensm/files/sldd.init.d26
-rw-r--r--sys-infiniband/opensm/metadata.xml13
-rw-r--r--sys-infiniband/opensm/opensm-3.3.15.ebuild46
-rw-r--r--sys-infiniband/opensm/opensm-3.3.17-r1.ebuild61
10 files changed, 248 insertions, 0 deletions
diff --git a/sys-infiniband/opensm/Manifest b/sys-infiniband/opensm/Manifest
new file mode 100644
index 00000000000..ca457c58539
--- /dev/null
+++ b/sys-infiniband/opensm/Manifest
@@ -0,0 +1,2 @@
+DIST OFED-3.12-rc1.tgz 22055476 SHA256 14ca8a2b0d68e3ee9a37f475fa9eecd9a5ffd6055135f9d4d9db8319843a94dc SHA512 9f834d6982ab7e8ab47a8b5c958ab2e4c238ef983e47798e7f06655f69672ea1e996297939b381f26ed8c39552f6e62156173d5ddd2f0a7b6cad6aecdd973944 WHIRLPOOL 5a64b1d952890ea0e72e0ca93654a0fabc8f871475b05fcbe3b214ddfe4836f6b92d4fbc9e0f0d79acfe69d8c8d219b2c467c23654021e23eaf85ae6825ea4a9
+DIST OFED-3.5-rc2.tgz 18600237 SHA256 b267cea49bf72790843e6b08e26c10a6954d7736a8b93deed1e632772f4f5fff SHA512 deb83c3417ac60bd5d4c6ac1cadf93d6a34a55ca58365b54bb0c3a8230ba6a7f13e0257515dac0170cc4ab46b558519c86e6c01f7fa49550162feed0b0ea2e89 WHIRLPOOL e6843593fbe4937ffcf600be9cb3dee78e14cbeb4c411a4b64076b1194653cbcb9d4bc6cbd52ad77ac9c6b14d4dd2cdafa4364bfe6924b55896844042aa4d9cd
diff --git a/sys-infiniband/opensm/files/opensm-3.3.17-norpm.patch b/sys-infiniband/opensm/files/opensm-3.3.17-norpm.patch
new file mode 100644
index 00000000000..1300d923eb7
--- /dev/null
+++ b/sys-infiniband/opensm/files/opensm-3.3.17-norpm.patch
@@ -0,0 +1,32 @@
+--- opensm-3.3.17/configure.in.orig 2014-01-30 23:13:35.000000000 +0400
++++ opensm-3.3.17/configure.in 2014-12-27 02:48:11.264876067 +0300
+@@ -17,11 +17,7 @@
+ [name of the RDMA service: "rdma" when using /etc/init.d/rdma to start RDMA services; "openibd" when using /etc/init.d/openibd to start RDMA services [default=${default_rdma_service}]]))
+ AC_SUBST(RDMA_SERVICE, ${with_rdma_service:-${default_rdma_service}})
+
+-if { rpm -q sles-release || rpm -q openSUSE-release; } >/dev/null 2>&1; then
+- default_stop="0 1 4 6"
+-else
+- default_stop="0 1 6"
+-fi
++default_stop="0 1 6"
+
+ default_start="null"
+
+@@ -282,4 +278,4 @@
+ AC_CONFIG_FILES([man/opensm.8 man/torus-2QoS.8 man/torus-2QoS.conf.5 scripts/opensm.init scripts/redhat-opensm.init scripts/sldd.sh])
+
+ dnl Create the following Makefiles
+-AC_OUTPUT([include/opensm/osm_version.h Makefile include/Makefile complib/Makefile libvendor/Makefile opensm/Makefile osmeventplugin/Makefile osmtest/Makefile opensm.spec])
++AC_OUTPUT([include/opensm/osm_version.h Makefile include/Makefile complib/Makefile libvendor/Makefile opensm/Makefile osmeventplugin/Makefile osmtest/Makefile])
+--- opensm-3.3.17/Makefile.am.orig 2013-02-07 11:46:28.000000000 +0400
++++ opensm-3.3.17/Makefile.am 2014-12-27 02:48:45.133654187 +0300
+@@ -19,7 +19,7 @@
+ doc/partition-config.txt doc/opensm-sriov.txt \
+ doc/opensm_release_notes-3.3.txt
+
+-EXTRA_DIST = autogen.sh opensm.spec $(various_scripts) $(man_MANS) $(docs)
++EXTRA_DIST = autogen.sh $(various_scripts) $(man_MANS) $(docs)
+
+ dist-hook: $(EXTRA_DIST)
+ if [ -x $(top_srcdir)/gen_chlog.sh ] ; then \
diff --git a/sys-infiniband/opensm/files/opensm-3.3.17-sldd.patch b/sys-infiniband/opensm/files/opensm-3.3.17-sldd.patch
new file mode 100644
index 00000000000..d7eb3ec24b9
--- /dev/null
+++ b/sys-infiniband/opensm/files/opensm-3.3.17-sldd.patch
@@ -0,0 +1,20 @@
+--- opensm-3.3.17/scripts/sldd.sh.in.orig 2013-02-07 11:46:29.000000000 +0400
++++ opensm-3.3.17/scripts/sldd.sh.in 2014-12-27 04:47:24.488636743 +0300
+@@ -42,7 +42,7 @@
+ prefix=@prefix@
+ exec_prefix=@exec_prefix@
+
+-CONFIG=@sysconfdir@/sysconfig/opensm
++CONFIG=@sysconfdir@/conf.d/sldd
+ if [ -f $CONFIG ]; then
+ . $CONFIG
+ fi
+@@ -57,7 +57,7 @@
+
+ RCP=${RCP:-/usr/bin/scp}
+ RSH=${RSH:-/usr/bin/ssh}
+-IFCONFIG=${IFCONFIG:-'/sbin/ifconfig -a'}
++IFCONFIG=${IFCONFIG:-'/bin/ifconfig -a'}
+
+ declare -i SLDD_DEBUG
+ RESCAN_TIME=${RESCAN_TIME:-60}
diff --git a/sys-infiniband/opensm/files/opensm.conf.d b/sys-infiniband/opensm/files/opensm.conf.d
new file mode 100644
index 00000000000..4f0cd49a4bc
--- /dev/null
+++ b/sys-infiniband/opensm/files/opensm.conf.d
@@ -0,0 +1,3 @@
+# Provide OpenSM options here.
+# See man opensm for details
+OSM_OPTIONS=""
diff --git a/sys-infiniband/opensm/files/opensm.init.d b/sys-infiniband/opensm/files/opensm.init.d
new file mode 100644
index 00000000000..ebf97ce2e73
--- /dev/null
+++ b/sys-infiniband/opensm/files/opensm.init.d
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+ need openib
+ after net # ip net seems to be needed to perform management.
+}
+
+prog=/usr/sbin/opensm
+
+start() {
+ ebegin "Starting OpenSM Infiniband Subnet Manager"
+ start-stop-daemon --start --background --exec $prog -- $OSM_OPTIONS
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping OpenSM Infiniband Subnet Manager"
+ start-stop-daemon --stop --exec $prog
+ eend $?
+}
+
diff --git a/sys-infiniband/opensm/files/sldd.conf.d b/sys-infiniband/opensm/files/sldd.conf.d
new file mode 100644
index 00000000000..ee0e8875031
--- /dev/null
+++ b/sys-infiniband/opensm/files/sldd.conf.d
@@ -0,0 +1,21 @@
+# Tho following variables will used for sldd.sh
+#
+# You must setup this for sldd to work
+OSM_HOSTS=""
+
+### Optional variables (defaults are commented out)
+
+# Debug level
+#SLDD_DEBUG="0"
+
+# OpenSM cache files
+#CACHE_FILE="/var/cache/opensm/guid2lid:/var/cache/opensm/guid2mkey:/var/cache/opensm/neighbors"
+
+# System calls
+#PING="ping -w 1 -c 1"
+#RCP="/usr/bin/scp"
+#SSH="/usr/bin/ssh"
+#IFCONFIG="/bin/ifconfig -a"
+
+# Delay between hosts scan
+#RESCAN_TIME="60"
diff --git a/sys-infiniband/opensm/files/sldd.init.d b/sys-infiniband/opensm/files/sldd.init.d
new file mode 100644
index 00000000000..8f96af77bbd
--- /dev/null
+++ b/sys-infiniband/opensm/files/sldd.init.d
@@ -0,0 +1,26 @@
+#!/sbin/runscript
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+ need opensm
+ after net # ip net seems to be needed to perform management.
+}
+
+prog=/usr/sbin/sldd.sh
+pidfile=/var/run/sldd.pid
+
+start() {
+ ebegin "Starting Semi-static LID OpenSM Distribution Manager"
+ start-stop-daemon --start --background --pidfile "${pidfile}" \
+ --make-pidfile --wait 500 --exec $prog
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping OpenSM Infiniband Subnet Manager"
+ start-stop-daemon --stop --pidfile "${pidfile}"
+ eend $?
+}
+
diff --git a/sys-infiniband/opensm/metadata.xml b/sys-infiniband/opensm/metadata.xml
new file mode 100644
index 00000000000..eb4ecb9d802
--- /dev/null
+++ b/sys-infiniband/opensm/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>cluster</herd>
+ <longdescription>
+OpenSM provides an implementation for an InfiniBand Subnet Manager and
+Administrator. Such a software entity is required to run for in order to
+initialize the InfiniBand hardware (at least one per each InfiniBand subnet).
+</longdescription>
+<use>
+ <flag name="tools">Install ssld extra tool</flag>
+</use>
+</pkgmetadata>
diff --git a/sys-infiniband/opensm/opensm-3.3.15.ebuild b/sys-infiniband/opensm/opensm-3.3.15.ebuild
new file mode 100644
index 00000000000..85400d568fa
--- /dev/null
+++ b/sys-infiniband/opensm/opensm-3.3.15.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+OFED_VER="3.5"
+OFED_RC="1"
+OFED_RC_VER="2"
+OFED_SUFFIX="1"
+
+inherit openib
+
+DESCRIPTION="OpenSM - InfiniBand Subnet Manager and Administration for OpenIB"
+KEYWORDS="~amd64 ~x86 ~amd64-linux"
+IUSE=""
+
+DEPEND="
+ sys-infiniband/libibmad:${SLOT}
+ sys-infiniband/libibumad:${SLOT}"
+RDEPEND="$DEPEND
+ net-misc/iputils"
+block_other_ofed_versions
+
+src_configure() {
+ econf \
+ --enable-perf-mgr \
+ --enable-default-event-plugin \
+ --with-osmv="openib"
+}
+
+src_install() {
+ default
+ newconfd "${S}/scripts/opensm.sysconfig" opensm
+ newinitd "${FILESDIR}/opensm.init.d" opensm
+ insinto /etc/logrotate.d
+ newins "${S}/scripts/opensm.logrotate" opensm
+ # we dont nee this int script
+ rm "${ED}/etc/init.d/opensmd" || die "Dropping of upstream initscript failed"
+}
+
+pkg_postinst() {
+ einfo "To automatically configure the infiniband subnet manager on boot,"
+ einfo "edit /etc/opensm.conf and add opensm to your start-up scripts:"
+ einfo "\`rc-update add opensm default\`"
+}
diff --git a/sys-infiniband/opensm/opensm-3.3.17-r1.ebuild b/sys-infiniband/opensm/opensm-3.3.17-r1.ebuild
new file mode 100644
index 00000000000..1382532e2b8
--- /dev/null
+++ b/sys-infiniband/opensm/opensm-3.3.17-r1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+OFED_VER="3.12"
+OFED_RC="1"
+OFED_RC_VER="1"
+OFED_SUFFIX="1"
+
+inherit autotools eutils openib
+
+DESCRIPTION="OpenSM - InfiniBand Subnet Manager and Administration for OpenIB"
+KEYWORDS="~amd64 ~x86 ~amd64-linux"
+IUSE="tools"
+
+DEPEND="
+ sys-infiniband/libibmad:${SLOT}
+ sys-infiniband/libibumad:${SLOT}"
+RDEPEND="$DEPEND
+ tools? (
+ net-misc/iputils
+ net-misc/openssh
+ )"
+block_other_ofed_versions
+
+src_prepare() {
+ epatch "${FILESDIR}/${P}-norpm.patch"
+ epatch "${FILESDIR}/${P}-sldd.patch"
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --enable-perf-mgr \
+ --enable-default-event-plugin \
+ --with-osmv="openib"
+}
+
+src_install() {
+ default
+ newconfd "${FILESDIR}/opensm.conf.d" opensm
+ newinitd "${FILESDIR}/opensm.init.d" opensm
+ insinto /etc/logrotate.d
+ newins "${S}/scripts/opensm.logrotate" opensm
+ # we dont nee this int script
+ rm "${ED}/etc/init.d/opensmd" || die "Dropping of upstream initscript failed"
+
+ if use tools; then
+ dosbin scripts/sldd.sh
+ newconfd "${FILESDIR}/sldd.conf.d" sldd
+ newinitd "${FILESDIR}/sldd.init.d" sldd
+ fi
+}
+
+pkg_postinst() {
+ einfo "To automatically configure the infiniband subnet manager on boot,"
+ einfo "edit /etc/opensm.conf and add opensm to your start-up scripts:"
+ einfo "\`rc-update add opensm default\`"
+}